<?php

function softsdev_delivery_date_settings() {
    add_filter('admin_footer_text', 'softsdev_delivery_date_footer_text');
    add_filter('update_footer', 'softdev_delivery_date_footer');
    $pluginurl = plugin_dir_url(__FILE__);
    $user = wp_get_current_user();
    echo '<div class="left-mc-setting">';
        echo '<h1>WooCommerce Delivery Date Plugin</h1>';
        require_once dirname(__FILE__) . '/../templates/brief-plugin.phtml';
        softsdev_delivery_date();
        require_once dirname(__FILE__) . '/../templates/help-plugin.phtml';
    echo '</div><div class="right-mc-setting">';
        require_once dirname(__FILE__) . '/../templates/buynow.phtml';
        require_once dirname(__FILE__) . '/../templates/subscribe.phtml';
        require_once dirname(__FILE__) . '/../templates/donate.phtml';
    echo '</div>';
}

function softsdev_delivery_date() {
    echo '<div class="wrap "><div id="icon-tools" class="icon32"></div>';
    echo '<h2>' . __('Delivery Date', 'softsdev') . '</h2>';
    $args = array(
        'hide_empty' => 0,
        'orderby' => 'slug',
        'order' => 'ASC',
    );
    $product_categories = get_terms('product_cat', $args);
    // fwt and set settings
    if (isset($_POST['delivery_date'])) {
        $dd_setting = $_POST['delivery_date'];
        update_option('delivery_date_setting', $dd_setting);
    } else {
        $dd_setting = get_option('delivery_date_setting');
    }
    $no_of_days_to_deliver = ( $dd_setting ) && array_key_exists('no_of_days_to_deliver', $dd_setting) ? $dd_setting['no_of_days_to_deliver'] : '';
    $applicable_categories = ( $dd_setting ) && array_key_exists('categories', $dd_setting) ? $dd_setting['categories'] : array();
    ?>
    <form action="<?php echo $_SERVER['PHP_SELF'] . '?page=delivery-date' ?>" method="post">
        <div class="postbox " style="padding: 10px; margin: 10px 0px;">
            <h3 class="hndle"><?php echo __('No of day\'s to Delivery', 'softsdev'); ?></h3>				
            <input type="text" value="<?php echo $no_of_days_to_deliver ?>" name="delivery_date[no_of_days_to_deliver]" id="no_of_days_to_deliver" /><br />
            <small><?php echo __('How many days user can select delivery date', 'softsdev'); ?></small>
        </div>
        <div class="postbox" style="padding: 10px; margin: 10px 0px;">				
            <h3 class="hndle"><?php echo __('Applicable Categories', 'softsdev'); ?></h3>
            <small><?php echo __('Select categories for to choose delivery date on checkout', 'softsdev'); ?></small>					
            <div>
                <ul id="applicable_category">
                    <li class="dd_heading"><strong>Category</strong></li>
                    <?php
                    foreach ($product_categories as $category) {
                        if (in_array($category->term_id, $applicable_categories)) {
                            $checked = 'checked="checked"';
                            $class = 'checked';
                        } else {
                            $class = '';
                            $checked = '';
                        }
                        echo '<li class="' . $class . '"><input ' . $checked . ' id="pro_cat_' . $category->term_id . '" name="delivery_date[categories][]" type="checkbox" value="' . $category->term_id . '" /><label for="pro_cat_' . $category->term_id . '"> ' . ucwords($category->name) . '</label></li>';
                    }
                    ?>
                </ul>
                <small>You can select ONLY TWO categories. If you want more categories then use our premium version:<br><a href="https://www.dreamfoxmedia.com/portfolio/woocommerce-delivery-date-premium?utm_source=plugin&utm_medium=brief_plugin_link&utm_campaign=dfm-wcpgpp-f" target="_blank">https://www.dreamfoxmedia.com/portfolio/woocommerce-delivery-date-premium/</a></small>
            </div>
        </div>
        <input class="button-large button-primary" type="submit" value="Save Changes" />
    </form>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            jQuery("#applicable_category input:checkbox").change(function() {
                var length = jQuery("#applicable_category input:checkbox:checked").length;
                var is_checked = jQuery(this).is(':checked')
                if (length > 1) {
                    jQuery('#applicable_category input[type=checkbox]').attr('disabled', 'disabled');
                    jQuery('#applicable_category input[type=checkbox]:checked').removeAttr('disabled');
                } else {
                    jQuery('#applicable_category input[type=checkbox]').removeAttr('disabled');
                }
                if (is_checked)
                    jQuery(this).attr('checked', 'checked').parents('li').addClass('checked');
                else
                    jQuery(this).parents('li').removeClass('checked');
            });
            var length = jQuery("#applicable_category input:checkbox:checked").length;
            if (length > 1) {
                jQuery('#applicable_category input[type=checkbox]').attr('disabled', 'disabled');
                jQuery('#applicable_category input[type=checkbox]:checked').removeAttr('disabled');
            }
        });
    </script>
    <style type="text/css">
        #applicable_category{
            border: 1px solid #D0D0D0;
            height: 273px;
            overflow-y: auto;
            padding: 7px;
            width: 60%;	
            background: white;
        }
        #applicable_category li.checked{
            background:#222222;
            color:#cccccc;
        }
        #applicable_category li {
            border: 1px solid #D0D0D0;
        }
        #applicable_category input {
            float: left;
            left: 5px;
            position: relative;
            top: 10px;
        }
        #applicable_category label {
            display: block;
            padding: 7px 10px 7px 25px;
        }			
        .dd_heading {
            background: none repeat scroll 0 0 #0074a2;
            font-size: 15px;
            padding: 6px 20px;
            color: white;
        }
    </style>			
    <?php
    echo '</div>';
}
